<?php 

//ini_set('display_errors',1);

date_default_timezone_set('America/Lima');
session_start();
require_once ("../../config/Cado.php");
require_once ("cCuentapagar.php");
$oCuentapagar = new cCuentapagar();
require_once ("../egreso/cEgreso.php");
$oEgreso = new cEgreso();
require_once ("../formatos/formato.php");
require_once ("../formatos/fechas.php");

$emp_id = $_SESSION['empresa_id'];

$fecha = date('d-m-Y'); 
?>


<div class="col-lg-12 col-md-12 col-xs-12 " style="background-color:#fff;" >				
<div class="table-responsive">	
	<table>
	<tr>
	<td>
	<center><span class="text-red" style="font-weight:bold;font-size:1.5rem;" >CRONOGRAMA DE CUENTAS POR PAGAR</span></center>
	</td>
	</tr>
	<tr>
	<td>
		<?php 
	
		$fecha_hoy=$fecha;
		list($day,$mon,$year) = explode('-',$fecha_hoy);
		$fecha5dias=date('Y-m-d',mktime(0,0,0,$mon,$day+90,$year));
		$fechaayer=date('Y-m-d',mktime(0,0,0,$mon,$day-5,$year));
	
 //	echo fecha_mysql($fechaayer);
//	echo fecha_mysql($fecha5dias);
	
	$re = $oCuentapagar->ver_fechaspagos(fecha_mysql($fechaayer),fecha_mysql($fecha5dias)); 
	$numrowsre  = mysqli_num_rows($re);
	
	if($numrowsre>0){
	
	while($dt = mysqli_fetch_array($re)){
	
	
		$r = dias_transcurridos($dt['fechapago'],$fecha);
		
		if($r<0){
			$bg = 'background-color :#004d40;color:#fff;';
		}else if($r==0){
			$bg = 'background-color :#b71c1c;color:#fff;';
		}
		else{
			$bg = 'background-color :#1565c0;color:#fff;';
		}	

		
	?>
	
	
		<table border="0" cellspacing="2" cellpadding="2" class="table table-bordered table-striped">
		<thead>
			<tr class="ui-widget-header " style="<?php echo $bg; ?>">
				<th colspan="7"><?php echo nombre_dia($dt['fechapago']).' | '. fecha_entexto($dt['fechapago']); ?></th>            
			</tr>
			
			<tr class="ui-widget-header">
				<th>FECHA VCTO</th>
				<th>DOCUMENTO</th>
				<th>PROVEEDOR</th>
				<th>BANCO</th>
				<th>N° UNICO</th>
				<th>MONTO</th>
				<th></th>
			</tr>
			
		</thead>
	
		<tbody>
		<?php 	
		
		//echo fecha_mysql($dt['fechapago']);
		
		$dts = $oCuentapagar->cuentas_por_pagar_por_fecpag(fecha_mysql($dt['fechapago']));
        $banid = 0;
		while($dt = mysqli_fetch_array($dts)){
			$banid = $dt['tb_banco_id'];
			$monid = $dt['tb_moneda_id'];
			
		//	echo $banid.'-';
			
			if($banid==1){
				$ban = 'BCP';
			}else if($banid==2){
				$ban = 'BBVA';
			}else if($banid==3){
				$ban = 'SCT';
			}else{
			    	$ban = '';
			}
			
			if($monid==1){
				$lbl = 'S/ ';
				$totsol += $dt['tb_comprapago_mon'];
			}else if($monid==2){
				$lbl = 'US$ ';
				$totdol += $dt['tb_comprapago_mon'];
			}
			
			
			if($dt['tb_comprapago_est']==1){
			    $color = 'background-color:#b3e5fc;';
			}else{
			    $color = '';
			}
			
			
			
		?>
		
		<tr style="<?php echo $color;?>">
		<td nowrap ><strong><?php echo  mostrarFecha($dt['tb_comprapago_fecven'])?></strong></td>
		<td nowrap><strong><?php echo $dt['tb_documento_abr'].' '.$dt['tb_compra_numdoc']?></strong></td>
		<td nowrap><strong><?php echo $dt['tb_proveedor_nom']?></strong></td>
		<td nowrap><strong><?php echo $ban?></strong></td>
		<td nowrap><strong><?php echo $dt['tb_comprapago_numuni']?></strong></td>
		<td nowrap><strong><?php echo $lbl.formato_money($dt['tb_comprapago_mon'])?></strong></td>
		<td nowrap>
		<?php 
		
						if($dt['tb_documento_abr']!='L'){
							 if($dt['tb_comprapago_est']==2){
								?>
								<span style="cursor:pointer" onClick="egreso_form('insertar',<?php echo $dt['tb_comprapago_id']?>)" 
								class="btn btn-primary btn-sm"  > <i class="fas fa-money-check"></i> PAGAR</span>
								
								<span style="cursor:pointer" onClick="compra_form('editar',<?php echo $dt['tb_compra_id']?>)" 
								class="btn btn-success btn-sm"  > <i class="fas fa-eye-slash"></i> VER DOC.</span>
								
							<?php }else if($dt['tb_comprapago_est']==1){
								?>
								
								<span style="cursor:pointer" onClick="compra_form('editar',<?php echo $dt['tb_compra_id']?>)" 
								class="btn btn-success btn-sm"  > <i class="fas fa-eye-slash"></i> VER DOC.</span>
								
								<span style="cursor:pointer" class="btn btn-sm btn-primary" title="Subir y ver documento relacionado" 
								onClick="ver_archivos('<?php echo $dt['tb_comprapago_id']?>','<?php echo $dt['tb_compra_numdoc'] ?>')">
								<i class="fas  fa-unlink"></i></span>

								<span style="cursor:pointer;" class="badge badge-warning" onclick="pagos_form('<?php echo $dt['tb_comprapago_id']?>')" >VER PAGOS<span>
								
								
								
							<?php 
							}else if($dt['tb_comprapago_est']==3){
								?>
														
								<span style="cursor:pointer;" class="badge badge-warning">CANJEADO / CANCELADO<span>
								
							<?php 
							}
						}else{
							 if($dt['tb_comprapago_est']==2){

							
							 	 if($dt['tb_comprapago_con']==3){
									 
							 	 ?>
							 	  <span style="cursor:pointer" onClick="egreso_form('insertar',<?php echo $dt['tb_comprapago_id']?>)"  
								class="btn btn-warning btn-sm"  > <i class="fas fa-money-check"></i> PAGAR</span>
							 	 <?php 
							 	 }
							 	 else if($dt['tb_comprapago_con']!= 0 && $dt['tb_banco_id']!=0){
							 	 ?>
							 	 <span style="cursor:pointer" onClick="egresoletra_form('insertarpagoletra',<?php echo $dt['tb_comprapago_id']?>)" 
								class="btn btn-warning btn-sm"  > <i class="fas fa-money-check"></i> PAGAR</span>
							 	 <?php 
							 	 }
							
								?>	

								<span style="cursor:pointer" onClick="letra_form('editar',<?php echo $dt['tb_comprapago_id']?>)" 
								class="btn btn-success btn-sm"  ><i class="fa fa-edit"></i></span>
							
							<?php }else if($dt['tb_comprapago_est']==1){

								?>
								
								<span style="cursor:pointer" onClick="letra_form('editar',<?php echo $dt['tb_comprapago_id']?>,'pagado')"
								class="btn btn-success btn-sm"  > <i class="fa fa-edit"></i> </span>
								
								
							<?php 
							 if($dt2['tb_comprapago_con']==3){
							 	?>
							 	<span style="cursor:pointer" class="btn btn-sm btn-primary" title="Subir y ver documento relacionado" 
								onClick="ver_archivos('<?php echo $dt['tb_comprapago_id']?>','<?php echo $dt['tb_compra_numdoc'] ?>')">
								<i class="fas  fa-unlink"></i></span>

								<span style="cursor:pointer;" class="badge badge-warning" onclick="pagos_form('<?php echo $dt['tb_comprapago_id']?>')" >VER PAGOS<span>
							 	
								<?php 
							 }else{
							 	?>

								<span style="cursor:pointer" class="btn btn-sm btn-primary" title="Subir y ver documento relacionado" 
								onClick="ver_archivos('<?php echo $dt['tb_comprapago_id']?>','<?php echo $dt['tb_compra_numdoc'] ?>')">
								<i class="fas  fa-unlink"></i></span>

							 	<span style="cursor:pointer;" class="badge badge-warning" onClick="pagosletra_form(<?php echo $dt['tb_comprapago_id']?>)" >VER PAGOS<span>
								
	
							 	<?php 
							 }


							}else if($dt['tb_comprapago_est']==3){
								?>
														
								<span style="cursor:pointer;" class="badge badge-warning">CANJEADO / CANCELADO<span>
								
							<?php 
							}
						}
							?>
							
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		</td>
		</tr>
		
		
		<?php 	
		}
		?>
		
		</tbody>
		<tr>
		<td colspan="5"> </td>
		<td><?php 
		echo 'S/ '.formato_money($totsol);
		echo '<br />';
		echo 'US$ '.formato_money($totdol);
		$totsol = 0;
		$totdol = 0;
		?></td>
		<td></td>
		</tr>
		</table>
	
	
	
	<?php	
	}
	
	}else{
	?>
	
	<tr class="ui-widget-header ">
				<th colspan="7">NO HAY CUENTAS PENDIENTES</th>            
	</tr>
	
	<?php 	
	}
	?>
	
	</td>
	</tr>
	
	</table>
</div>
</div>


<!-- formulario de registros egresos-->
	
			<div class="modal fade" id="div_egreso_form_dialog" role="dialog" data-keyboard="true"  data-backdrop="static" tabindex="-1"  style="padding:0px;z-index:2000; overflow-y:scroll;">
			<div class="modal-dialog modal-lg"  role="document" >

			<div class="modal-content">

			<div class="modal-body div_egreso_form"  >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>

			
			
<script type="text/javascript">
			
function cuentapagar_proveedor(id_prov,emp_id,monid){
$('#div_cuentapagar_form_dialog').modal();
		$('body').css('overflow-y','hidden');		
	$.ajax({
		type: "POST",
		url: "../cuentapagar/cuentapagar_tabladeudas_inicio.php",
		async:true,
		dataType: "html",                      
		data: ({
			pro_id: id_prov,
			emp_id: emp_id,
			mon_id: monid,
		}),
		beforeSend: function() {
			var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";							
			$('.div_cuentapagar_form').html(div);
		},
		success: function(html){
			$('.div_cuentapagar_form').html(html);
		},
		complete: function(){			
			
		}
	});
}
			
</script>